Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2001._04.xmlenc
Class ObjectFactory

    java.lang.Object
      org.w3._2001._04.xmlenc.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.w3._2001._04.xmlenc package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._2001._04.xmlenc

Method Summary
`AgreementMethod` | `createAgreementMethod()` Create an instance of `AgreementMethod`
`JAXBElement<byte[]>` | `createAgreementMethodKANonce(byte[] value)` Create an instance of `JAXBElement``<``byte[]``>`}
`JAXBElement<KeyInfo>` | `createAgreementMethodOriginatorKeyInfo(KeyInfo value)` Create an instance of `JAXBElement``<``KeyInfo``>`}
`JAXBElement<KeyInfo>` | `createAgreementMethodRecipientKeyInfo(KeyInfo value)` Create an instance of `JAXBElement``<``KeyInfo``>`}
`CipherData` | `createCipherData()` Create an instance of `CipherData`
`CipherReference` | `createCipherReference()` Create an instance of `CipherReference`
`EncryptedData` | `createEncryptedData()` Create an instance of `EncryptedData`
`EncryptedKey` | `createEncryptedKey()` Create an instance of `EncryptedKey`
`EncryptionMethodType` | `createEncryptionMethodType()` Create an instance of `EncryptionMethodType`
`JAXBElement<BigInteger>` | `createEncryptionMethodTypeKeySize(BigInteger value)` Create an instance of `JAXBElement``<``BigInteger``>`}
`JAXBElement<byte[]>` | `createEncryptionMethodTypeOAEPparams(byte[] value)` Create an instance of `JAXBElement``<``byte[]``>`}
`EncryptionProperties` | `createEncryptionProperties()` Create an instance of `EncryptionProperties`
`EncryptionProperty` | `createEncryptionProperty()` Create an instance of `EncryptionProperty`
`ReferenceList` | `createReferenceList()` Create an instance of `ReferenceList`
`JAXBElement<ReferenceType>` | `createReferenceListDataReference(ReferenceType value)` Create an instance of `JAXBElement``<``ReferenceType``>`}
`JAXBElement<ReferenceType>` | `createReferenceListKeyReference(ReferenceType value)` Create an instance of `JAXBElement``<``ReferenceType``>`}
`ReferenceType` | `createReferenceType()` Create an instance of `ReferenceType`
`TransformsType` | `createTransformsType()` Create an instance of `TransformsType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._2001._04.xmlenc

Method Detail

### createCipherData

    public CipherData createCipherData()

  Create an instance of `CipherData`

### createCipherReference

    public CipherReference createCipherReference()

  Create an instance of `CipherReference`

### createTransformsType

    public TransformsType createTransformsType()

  Create an instance of `TransformsType`

### createEncryptedData

    public EncryptedData createEncryptedData()

  Create an instance of `EncryptedData`

### createEncryptionMethodType

    public EncryptionMethodType createEncryptionMethodType()

  Create an instance of `EncryptionMethodType`

### createEncryptionProperties

    public EncryptionProperties createEncryptionProperties()

  Create an instance of `EncryptionProperties`

### createEncryptionProperty

    public EncryptionProperty createEncryptionProperty()

  Create an instance of `EncryptionProperty`

### createEncryptedKey

    public EncryptedKey createEncryptedKey()

  Create an instance of `EncryptedKey`

### createReferenceList

    public ReferenceList createReferenceList()

  Create an instance of `ReferenceList`

### createReferenceType

    public ReferenceType createReferenceType()

  Create an instance of `ReferenceType`

### createAgreementMethod

    public AgreementMethod createAgreementMethod()

  Create an instance of `AgreementMethod`

### createReferenceListDataReference

    public JAXBElement<ReferenceType> createReferenceListDataReference(ReferenceType value)

  Create an instance of `JAXBElement``<``ReferenceType``>`}

### createReferenceListKeyReference

    public JAXBElement<ReferenceType> createReferenceListKeyReference(ReferenceType value)

  Create an instance of `JAXBElement``<``ReferenceType``>`}

### createAgreementMethodKANonce

    public JAXBElement<byte[]> createAgreementMethodKANonce(byte[] value)

  Create an instance of `JAXBElement``<``byte[]``>`}

### createAgreementMethodOriginatorKeyInfo

    public JAXBElement<KeyInfo> createAgreementMethodOriginatorKeyInfo(KeyInfo value)

  Create an instance of `JAXBElement``<``KeyInfo``>`}

### createAgreementMethodRecipientKeyInfo

    public JAXBElement<KeyInfo> createAgreementMethodRecipientKeyInfo(KeyInfo value)

  Create an instance of `JAXBElement``<``KeyInfo``>`}

### createEncryptionMethodTypeKeySize

    public JAXBElement<BigInteger> createEncryptionMethodTypeKeySize(BigInteger value)

  Create an instance of `JAXBElement``<``BigInteger``>`}

### createEncryptionMethodTypeOAEPparams

    public JAXBElement<byte[]> createEncryptionMethodTypeOAEPparams(byte[] value)

  Create an instance of `JAXBElement``<``byte[]``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.